﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;
using System.Collections.ObjectModel;

namespace WpfApplication1.ViewModel
{
    public class ExampleViewModel : ViewModelBase
    {
        private SeriesMappingCollection _seriesMappings;
        private ObservableCollection<Tuple<string, double>> _data;

        public ExampleViewModel()
        {
            this._data = CreateData();
            this.SeriesMappings = CreateSeriesMappings();
        }

        private ObservableCollection<Tuple<string, double>> CreateData()
        {
            var data = new ObservableCollection<Tuple<string, double>>();
            data.Add(new Tuple<string, double>("A", 2));
            data.Add(new Tuple<string, double>("B", 3));
            data.Add(new Tuple<string, double>("C", 4));
            return data;
        }

        private SeriesMappingCollection CreateSeriesMappings()
        {
            var mappings = new SeriesMappingCollection();
            SeriesMapping mapping = new SeriesMapping();
            mapping.ItemMappings.Add(new ItemMapping("Item1", DataPointMember.XCategory));
            mapping.ItemMappings.Add(new ItemMapping("Item2", DataPointMember.YValue));
            mappings.Add(mapping);
            return mappings;
        }

        public SeriesMappingCollection SeriesMappings
        {
            get
            {
                return this._seriesMappings;
            }
            private set
            {
                if (this._seriesMappings == value)
                    return;

                this._seriesMappings = value;
                this.OnPropertyChanged("SeriesMappings");
            }
        }

        public IEnumerable<Tuple<string, double>> Data
        {
            get
            {
                return this._data;
            }
        }
    }
}
